## lmfit-py 0.9.2+dfsg

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build
INSTALLDIR = /home/newville/public_html/lmfit/


# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest latexpdf htmlzip
.PHONY: all install pdf

html:
	cp sphinx/ext_mathjax.py extensions.py
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "html build finished: $(BUILDDIR)/html."

htmlzip: html
	cp sphinx/ext_pngmath.py extensions.py
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/lmfit_doc
	cd $(BUILDDIR) && zip -pur html/lmfit_doc.zip lmfit_doc

epub:
	cp sphinx/ext_pngmath.py extensions.py
	$(SPHINXBUILD) -b epub  $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	cp -pr $(BUILDDIR)/epub/*.epub $(BUILDDIR)/html/.

pdf: latex
	cd $(BUILDDIR)/latex && make all-pdf
	cp -pr $(BUILDDIR)/latex/lmfit.pdf $(BUILDDIR)/html/.

all: html htmlzip epub pdf

install: all
	cd $(BUILDDIR)/latex && pdflatex lmfit.tex
	cd $(BUILDDIR)/latex && makeindex -s python.ist lmfit.idx
	cd $(BUILDDIR)/latex && pdflatex lmfit.tex
	cp -pr $(BUILDDIR)/html/* $(INSTALLDIR)/.

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C _build/latex all-pdf
	@echo "pdflatex finished; the PDF files are in _build/latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## lmfit-py 0.8.0+dfsg.1

=== debian/changelog ===
lmfit-py (0.8.0+dfsg.1-1) unstable; urgency=medium

  * Imported Upstream version 0.8.0+dfsg.1
  * Remove all patches (applyed upstream)
  * Add the doc-base registration

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 31 Aug 2014 10:56:03 +0200

lmfit-py (0.7.4+dfsg.2-1) unstable; urgency=low

  * Initial release (Closes: #741078)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 07 Mar 2014 09:05:26 +0200

=== debian/control ===
Source: lmfit-py
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: extra
Build-Depends: debhelper (>= 9),
               dh-python,
               dvipng,
               ipython,
               python-all,
               python-matplotlib,
               python-numpy,
               python-numpydoc,
               python-scipy,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-numpy,
               python3-scipy,
               python3-setuptools,
               texlive-latex-extra
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/lmfit-py.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/lmfit-py.git
Homepage: http://lmfit.github.io/lmfit-py/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-lmfit
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python:Depends},
         python-scipy
Suggests: python-lmfit-doc
Description: Least-Squares Minimization with Constraints (Python 2)
 The lmfit Python package provides a simple, flexible interface to
 non-linear optimization or curve fitting problems. The package
 extends the optimization capabilities of scipy.optimize by replacing
 floating pointing values for the variables to be optimized with
 Parameter objects. These Parameters can be fixed or varied, have
 upper and/or lower bounds placed on its value, or written as an
 algebraic expression of other Parameters.
 .
 The principal advantage of using Parameters instead of simple
 variables is that the objective function does not have to be
 rewritten to reflect every change of what is varied in the fit, or
 what relationships or constraints are placed on the Parameters. This
 means a scientific programmer can write a general model that
 encapsulates the phenomenon to be optimized, and then allow user of
 that model to change what is varied and fixed, what range of values
 is acceptable for Parameters, and what constraints are placed on the
 model. The ease with which the model can be changed also allows one
 to easily test the significance of certain Parameters in a fitting
 model.
 .
 The lmfit package allows a choice of several optimization methods
 available from scipy.optimize. The default, and by far best tested
 optimization method used is the Levenberg-Marquardt algorithm from
 from MINPACK-1 as implemented in scipy.optimize.leastsq. This method
 is by far the most tested and best support method in lmfit, and much
 of this document assumes this algorithm is used unless explicitly
 stated. An important point for many scientific analysis is that this
 is only method that automatically estimates uncertainties and
 correlations between fitted variables from the covariance matrix
 calculated during the fit.
 .
 A few other optimization routines are also supported, including
 Nelder-Mead simplex downhill, Powell's method, COBYLA, Sequential
 Least Squares methods as implemented in scipy.optimize.fmin, and
 several others from scipy.optimize. In their native form, some of
 these methods setting allow upper or lower bounds on parameter
 variables, or adding constraints on fitted variables. By using
 Parameter objects, lmfit allows bounds and constraints for all of
 these methods, and makes it easy to swap between methods without
 hanging the objective function or set of Parameters.
 .
 Finally, because the approach derived from MINPACK-1 usin the
 covariance matrix to determine uncertainties is sometimes questioned
 (and sometimes rightly so), lmfit supports methods to do a brute
 force search of the confidence intervals and correlations for sets of
 parameters.
 .
 This is the Python 2 version of the package.

Package: python3-lmfit
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-scipy
Suggests: python-lmfit-doc
Description: Least-Squares Minimization with Constraints (Python 3)
 The lmfit Python package provides a simple, flexible interface to
 non-linear optimization or curve fitting problems. The package
 extends the optimization capabilities of scipy.optimize by replacing
 floating pointing values for the variables to be optimized with
 Parameter objects. These Parameters can be fixed or varied, have
 upper and/or lower bounds placed on its value, or written as an
 algebraic expression of other Parameters.
 .
 The principal advantage of using Parameters instead of simple
 variables is that the objective function does not have to be
 rewritten to reflect every change of what is varied in the fit, or
 what relationships or constraints are placed on the Parameters. This
 means a scientific programmer can write a general model that
 encapsulates the phenomenon to be optimized, and then allow user of
 that model to change what is varied and fixed, what range of values
 is acceptable for Parameters, and what constraints are placed on the
 model. The ease with which the model can be changed also allows one
 to easily test the significance of certain Parameters in a fitting
 model.
 .
 The lmfit package allows a choice of several optimization methods
 available from scipy.optimize. The default, and by far best tested
 optimization method used is the Levenberg-Marquardt algorithm from
 from MINPACK-1 as implemented in scipy.optimize.leastsq. This method
 is by far the most tested and best support method in lmfit, and much
 of this document assumes this algorithm is used unless explicitly
 stated. An important point for many scientific analysis is that this
 is only method that automatically estimates uncertainties and
 correlations between fitted variables from the covariance matrix
 calculated during the fit.
 .
 A few other optimization routines are also supported, including
 Nelder-Mead simplex downhill, Powell's method, COBYLA, Sequential
 Least Squares methods as implemented in scipy.optimize.fmin, and
 several others from scipy.optimize. In their native form, some of
 these methods setting allow upper or lower bounds on parameter
 variables, or adding constraints on fitted variables. By using
 Parameter objects, lmfit allows bounds and constraints for all of
 these methods, and makes it easy to swap between methods without
 hanging the objective function or set of Parameters.
 .
 Finally, because the approach derived from MINPACK-1 usin the
 covariance matrix to determine uncertainties is sometimes questioned
 (and sometimes rightly so), lmfit supports methods to do a brute
 force search of the confidence intervals and correlations for sets of
 parameters.
 .
 This is the Python 3 version of the package.

Package: python-lmfit-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Least-Squares Minimization with Constraints (Documentation)
 The lmfit Python package provides a simple, flexible interface to
 non-linear optimization or curve fitting problems. The package
 extends the optimization capabilities of scipy.optimize by replacing
 floating pointing values for the variables to be optimized with
 Parameter objects. These Parameters can be fixed or varied, have
 upper and/or lower bounds placed on its value, or written as an
 algebraic expression of other Parameters.
 .
 The principal advantage of using Parameters instead of simple
 variables is that the objective function does not have to be
 rewritten to reflect every change of what is varied in the fit, or
 what relationships or constraints are placed on the Parameters. This
 means a scientific programmer can write a general model that
 encapsulates the phenomenon to be optimized, and then allow user of
 that model to change what is varied and fixed, what range of values
 is acceptable for Parameters, and what constraints are placed on the
 model. The ease with which the model can be changed also allows one
 to easily test the significance of certain Parameters in a fitting
 model.
 .
 The lmfit package allows a choice of several optimization methods
 available from scipy.optimize. The default, and by far best tested
 optimization method used is the Levenberg-Marquardt algorithm from
 from MINPACK-1 as implemented in scipy.optimize.leastsq. This method
 is by far the most tested and best support method in lmfit, and much
 of this document assumes this algorithm is used unless explicitly
 stated. An important point for many scientific analysis is that this
 is only method that automatically estimates uncertainties and
 correlations between fitted variables from the covariance matrix
 calculated during the fit.
 .
 A few other optimization routines are also supported, including
 Nelder-Mead simplex downhill, Powell's method, COBYLA, Sequential
 Least Squares methods as implemented in scipy.optimize.fmin, and
 several others from scipy.optimize. In their native form, some of
 these methods setting allow upper or lower bounds on parameter
 variables, or adding constraints on fitted variables. By using
 Parameter objects, lmfit allows bounds and constraints for all of
 these methods, and makes it easy to swap between methods without
 hanging the objective function or set of Parameters.
 .
 Finally, because the approach derived from MINPACK-1 usin the
 covariance matrix to determine uncertainties is sometimes questioned
 (and sometimes rightly so), lmfit supports methods to do a brute
 force search of the confidence intervals and correlations for sets of
 parameters.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export PYBUILD_NAME=lmfit

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	rm -rf doc/_static/conf_interval2.png
	rm -rf doc/_static/conf_interval.png
	dh_clean

override_dh_install:
	dh_install
	dh_numpy
	dh_numpy3

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='localhost' sphinx-build -N -bhtml doc/ build/html  # HTML generator

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/lmfit-py-$1\.tar\.gz/ \
  https://github.com/lmfit/lmfit-py/releases .*/v?([\d\.]*)\.tar\.gz

## lmfit-py 0.9.2+dfsg

=== debian/changelog ===
lmfit-py (0.9.2+dfsg-2) unstable; urgency=medium

  * fix the autopkgtest scripts

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 29 Nov 2015 11:37:55 +0100

lmfit-py (0.9.2+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.9.2+dfsg (Closes: #802085)
  * Use the pypi redirector

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 31 Oct 2015 08:20:22 +0100

lmfit-py (0.8.3+dfsg.1-1~exp1) experimental; urgency=medium

  * Imported Upstream version 0.8.3+dfsg.1
  * Run the test suite during the build
  * Standards-Version bumped to 3.9.6 (no other changes required)
  * Add the autopkgtest test suite.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 30 Dec 2014 14:18:53 +0100

=== debian/control ===
--- 
+++ 
@@ -6,25 +6,34 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                dvipng,
-               ipython,
+               ipython-notebook,
+               ipython3-notebook,
                python-all,
                python-matplotlib,
+               python-nose,
                python-numpy,
                python-numpydoc,
+               python-pandas,
                python-scipy,
                python-setuptools,
                python-sphinx,
+               python-tk,
                python3-all,
+               python3-matplotlib,
+               python3-nose,
                python3-numpy,
+               python3-pandas,
                python3-scipy,
                python3-setuptools,
+               python3-tk,
                texlive-latex-extra
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/lmfit-py.git
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/lmfit-py.git
 Homepage: http://lmfit.github.io/lmfit-py/
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
+Testsuite: autopkgtest
 
 Package: python-lmfit
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,19 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-# Uncomment this to turn on verbose mode.
-export DH_VERBOSE=1
+## Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+#export NOSE_VERBOSE=2
+
 export PYBUILD_NAME=lmfit
+
+## This might have been used, but doctest should be optional
+## https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=749506
+#export PYBUILD_TEST_NOSE=1
+
+# copy the tests to the build dir to be able to pass nose
+export PYBUILD_AFTER_BUILD=cp -r NIST_STRD {build_dir}
+export PYBUILD_BEFORE_INSTALL=rm -fr {build_dir}/NIST_STRD
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
@@ -21,3 +31,9 @@
 override_dh_auto_build:
 	dh_auto_build
 	PYTHONPATH=. http_proxy='localhost' sphinx-build -N -bhtml doc/ build/html  # HTML generator
+
+## should be removed once #749506 solved
+override_dh_auto_test:
+	PYBUILD_SYSTEM=custom \
+	PYBUILD_TEST_ARGS='cd {build_dir} && {interpreter} -m nose' \
+	dh_auto_test --buildsystem=pybuild

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg,\
dversionmangle=s/.dfsg//,\
uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/lmfit/lmfit-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## lmfit-py 0.9.3+dfsg

=== requirements.txt ===
numpy>=1.5
scipy>=0.13

=== debian/changelog ===
lmfit-py (0.9.3+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.9.3+dfsg
  * fix the autopkgtest scripts
  * Use cme to update the package
  * Standards-Verion bumped to 3.9.7 (nothing to do)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 31 Mar 2016 18:46:36 +0200

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
+Testsuite: autopkgtest
 Priority: extra
 Build-Depends: debhelper (>= 9),
                dh-python,
@@ -27,13 +28,12 @@
                python3-setuptools,
                python3-tk,
                texlive-latex-extra
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/lmfit-py.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/lmfit-py.git
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/lmfit-py.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/lmfit-py.git
 Homepage: http://lmfit.github.io/lmfit-py/
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
-Testsuite: autopkgtest
 
 Package: python-lmfit
 Architecture: all

## lmfit-py 0.9.5+dfsg

=== requirements.txt ===
numpy>=1.5
scipy>=0.14

=== debian/changelog ===
lmfit-py (0.9.5+dfsg-2) unstable; urgency=medium

  * Standards-Verion bumped to 3.9.8 (nothing to do)
  * Removed ipython(3)-notebook dependency (Closes: #840521)
  * Removed matplotlib, tk, latex, pandas Build-Depends (useless)
  * Simplified d/rules

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 15 Oct 2016 09:01:40 +0200

lmfit-py (0.9.5+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.9.5+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 17 Aug 2016 08:29:47 +0200

=== debian/control ===
--- 
+++ 
@@ -6,29 +6,20 @@
 Priority: extra
 Build-Depends: debhelper (>= 9),
                dh-python,
-               dvipng,
-               ipython-notebook,
-               ipython3-notebook,
                python-all,
-               python-matplotlib,
                python-nose,
                python-numpy,
-               python-numpydoc,
                python-pandas,
                python-scipy,
                python-setuptools,
                python-sphinx,
-               python-tk,
                python3-all,
-               python3-matplotlib,
                python3-nose,
                python3-numpy,
                python3-pandas,
                python3-scipy,
                python3-setuptools,
-               python3-tk,
-               texlive-latex-extra
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/lmfit-py.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/lmfit-py.git
 Homepage: http://lmfit.github.io/lmfit-py/

## lmfit-py 0.9.7+dfsg

=== requirements.txt ===
six>1.10
numpy>=1.9.1
scipy>=0.15.1

=== debian/changelog ===
lmfit-py (0.9.7+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.7+dfsg
  * Standards-Verion bumped to 4.1.3 (extra -> optional)
  * d/watch
    - Updated to version 4

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 18 Feb 2018 10:55:39 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
 Testsuite: autopkgtest
-Priority: extra
+Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-python,
                python-all,
@@ -18,8 +18,8 @@
                python3-numpy,
                python3-pandas,
                python3-scipy,
-               python3-setuptools,
-Standards-Version: 3.9.8
+               python3-setuptools
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/lmfit-py.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/lmfit-py.git
 Homepage: http://lmfit.github.io/lmfit-py/
@@ -29,9 +29,7 @@
 Package: python-lmfit
 Architecture: all
 Section: python
-Depends: ${misc:Depends},
-         ${python:Depends},
-         python-scipy
+Depends: python-scipy, ${misc:Depends}, ${python:Depends}
 Suggests: python-lmfit-doc
 Description: Least-Squares Minimization with Constraints (Python 2)
  The lmfit Python package provides a simple, flexible interface to
@@ -86,9 +84,7 @@
 Package: python3-lmfit
 Architecture: all
 Section: python
-Depends: ${misc:Depends},
-         ${python3:Depends},
-         python3-scipy
+Depends: python3-scipy, ${misc:Depends}, ${python3:Depends}
 Suggests: python-lmfit-doc
 Description: Least-Squares Minimization with Constraints (Python 3)
  The lmfit Python package provides a simple, flexible interface to
@@ -143,8 +139,7 @@
 Package: python-lmfit-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends},
-         ${sphinxdoc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Least-Squares Minimization with Constraints (Documentation)
  The lmfit Python package provides a simple, flexible interface to
  non-linear optimization or curve fitting problems. The package

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,8 @@
 # copy the tests to the build dir to be able to pass nose
 export PYBUILD_AFTER_BUILD=cp -r NIST_STRD {build_dir}
 export PYBUILD_BEFORE_INSTALL=rm -fr {build_dir}/NIST_STRD
+export PYBUILD_AFTER_INSTALL_python2=dh_numpy
+export PYBUILD_AFTER_INSTALL_python3=dh_numpy3
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
@@ -23,17 +25,6 @@
 	rm -rf doc/_static/conf_interval.png
 	dh_clean
 
-override_dh_install:
-	dh_install
-	dh_numpy
-	dh_numpy3
-
 override_dh_auto_build:
 	dh_auto_build
 	PYTHONPATH=. http_proxy='localhost' sphinx-build -N -bhtml doc/ build/html  # HTML generator
-
-## should be removed once #749506 solved
-override_dh_auto_test:
-	PYBUILD_SYSTEM=custom \
-	PYBUILD_TEST_ARGS='cd {build_dir} && {interpreter} -m nose' \
-	dh_auto_test --buildsystem=pybuild

=== debian/tests/control ===
Tests: python2
Depends: python-lmfit, python-all, python-tk, python-nose, python-matplotlib, python-pandas, python-scipy

Tests: python3
Depends: python3-lmfit, python3-all, python3-tk, python3-nose, python3-matplotlib, python3-pandas, python3-scipy

## lmfit-py 0.9.11+dfsg

=== requirements.txt ===
six>1.10
numpy>=1.10
scipy>=0.17
asteval>=0.9.12
uncertainties>=3.0

=== debian/changelog ===
lmfit-py (0.9.11+dfsg-2ubuntu2) eoan; urgency=medium

  * Drop python2 support.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Aug 2019 20:59:59 -0700

lmfit-py (0.9.11+dfsg-2ubuntu1) disco; urgency=medium

  * Fix nan_policy_test for differential_evolution with SciPy 1.2

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 09 Apr 2019 11:19:18 +0000

lmfit-py (0.9.11+dfsg-2) unstable; urgency=medium

  * Team upload
  * Deactivate randomly failing test (thanks for the patch to
    Santiago Vila <sanvila@debian.org>)
    Closes: #921979
  * Standards-Version: 4.3.0
  * Remove build time test results from binary package

 -- Andreas Tille <tille@debian.org>  Mon, 18 Feb 2019 11:50:01 +0100

lmfit-py (0.9.11+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * New Build-Depends: python-asteval, python-uncertainties
  * Remove ancient X-Python*-Version fields
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Versioned Build-Depends: python*-uncertainties (>= 3.0.2.github~)
  * debian/copyright: do not mention local copy of uncertainties which
    was removed any more
  * Build-Depends: s/python-sphinx/python3-sphinx
  * Remove duplicated from in description
  * Drop unnecessary field Testsuite: autopkgtest

 -- Andreas Tille <tille@debian.org>  Sat, 13 Oct 2018 21:02:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,90 +1,31 @@
 Source: lmfit-py
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
-Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
                dh-python,
-               python-all,
-               python-nose,
-               python-numpy,
-               python-pandas,
-               python-scipy,
-               python-setuptools,
-               python-sphinx,
+               python3-sphinx,
                python3-all,
                python3-nose,
+               python3-asteval,
                python3-numpy,
                python3-pandas,
                python3-scipy,
-               python3-setuptools
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/lmfit-py.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/lmfit-py.git
+               python3-setuptools,
+               python3-uncertainties (>= 3.0.2.github~)
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/science-team/lmfit-py
+Vcs-Git: https://salsa.debian.org/science-team/lmfit-py.git
 Homepage: http://lmfit.github.io/lmfit-py/
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
-
-Package: python-lmfit
-Architecture: all
-Section: python
-Depends: python-scipy, ${misc:Depends}, ${python:Depends}
-Suggests: python-lmfit-doc
-Description: Least-Squares Minimization with Constraints (Python 2)
- The lmfit Python package provides a simple, flexible interface to
- non-linear optimization or curve fitting problems. The package
- extends the optimization capabilities of scipy.optimize by replacing
- floating pointing values for the variables to be optimized with
- Parameter objects. These Parameters can be fixed or varied, have
- upper and/or lower bounds placed on its value, or written as an
- algebraic expression of other Parameters.
- .
- The principal advantage of using Parameters instead of simple
- variables is that the objective function does not have to be
- rewritten to reflect every change of what is varied in the fit, or
- what relationships or constraints are placed on the Parameters. This
- means a scientific programmer can write a general model that
- encapsulates the phenomenon to be optimized, and then allow user of
- that model to change what is varied and fixed, what range of values
- is acceptable for Parameters, and what constraints are placed on the
- model. The ease with which the model can be changed also allows one
- to easily test the significance of certain Parameters in a fitting
- model.
- .
- The lmfit package allows a choice of several optimization methods
- available from scipy.optimize. The default, and by far best tested
- optimization method used is the Levenberg-Marquardt algorithm from
- from MINPACK-1 as implemented in scipy.optimize.leastsq. This method
- is by far the most tested and best support method in lmfit, and much
- of this document assumes this algorithm is used unless explicitly
- stated. An important point for many scientific analysis is that this
- is only method that automatically estimates uncertainties and
- correlations between fitted variables from the covariance matrix
- calculated during the fit.
- .
- A few other optimization routines are also supported, including
- Nelder-Mead simplex downhill, Powell's method, COBYLA, Sequential
- Least Squares methods as implemented in scipy.optimize.fmin, and
- several others from scipy.optimize. In their native form, some of
- these methods setting allow upper or lower bounds on parameter
- variables, or adding constraints on fitted variables. By using
- Parameter objects, lmfit allows bounds and constraints for all of
- these methods, and makes it easy to swap between methods without
- hanging the objective function or set of Parameters.
- .
- Finally, because the approach derived from MINPACK-1 usin the
- covariance matrix to determine uncertainties is sometimes questioned
- (and sometimes rightly so), lmfit supports methods to do a brute
- force search of the confidence intervals and correlations for sets of
- parameters.
- .
- This is the Python 2 version of the package.
 
 Package: python3-lmfit
 Architecture: all
 Section: python
-Depends: python3-scipy, ${misc:Depends}, ${python3:Depends}
+Depends: python3-scipy,
+         ${misc:Depends},
+         ${python3:Depends}
 Suggests: python-lmfit-doc
 Description: Least-Squares Minimization with Constraints (Python 3)
  The lmfit Python package provides a simple, flexible interface to
@@ -110,7 +51,7 @@
  The lmfit package allows a choice of several optimization methods
  available from scipy.optimize. The default, and by far best tested
  optimization method used is the Levenberg-Marquardt algorithm from
- from MINPACK-1 as implemented in scipy.optimize.leastsq. This method
+ MINPACK-1 as implemented in scipy.optimize.leastsq. This method
  is by far the most tested and best support method in lmfit, and much
  of this document assumes this algorithm is used unless explicitly
  stated. An important point for many scientific analysis is that this
@@ -139,7 +80,9 @@
 Package: python-lmfit-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
+         libjs-mathjax
 Description: Least-Squares Minimization with Constraints (Documentation)
  The lmfit Python package provides a simple, flexible interface to
  non-linear optimization or curve fitting problems. The package
@@ -164,7 +107,7 @@
  The lmfit package allows a choice of several optimization methods
  available from scipy.optimize. The default, and by far best tested
  optimization method used is the Levenberg-Marquardt algorithm from
- from MINPACK-1 as implemented in scipy.optimize.leastsq. This method
+ MINPACK-1 as implemented in scipy.optimize.leastsq. This method
  is by far the most tested and best support method in lmfit, and much
  of this document assumes this algorithm is used unless explicitly
  stated. An important point for many scientific analysis is that this

=== debian/rules ===
--- 
+++ 
@@ -14,11 +14,10 @@
 # copy the tests to the build dir to be able to pass nose
 export PYBUILD_AFTER_BUILD=cp -r NIST_STRD {build_dir}
 export PYBUILD_BEFORE_INSTALL=rm -fr {build_dir}/NIST_STRD
-export PYBUILD_AFTER_INSTALL_python2=dh_numpy
 export PYBUILD_AFTER_INSTALL_python3=dh_numpy3
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_clean:
 	rm -rf doc/_static/conf_interval2.png
@@ -28,3 +27,20 @@
 override_dh_auto_build:
 	dh_auto_build
 	PYTHONPATH=. http_proxy='localhost' sphinx-build -N -bhtml doc/ build/html  # HTML generator
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	find .pybuild -name build -type d -exec ln -s $(CURDIR)/examples \{\} \;
+	dh_auto_test
+	find . -name "*.sav" -delete
+endif
+
+override_dh_installdocs-indep:
+	dh_installdocs -p python-$(PYBUILD_NAME)-doc --doc-main-package python3-$(PYBUILD_NAME)
+	dh_installdocs -p python3-$(PYBUILD_NAME)
+	find debian/python-$(PYBUILD_NAME)-doc/usr/share/doc -name "*.html" -type f | xargs sed -i 's;https://cdn[js]*\..*/MathJax.js;_static/MathJax.js;g'
+	ln -s /usr/share/javascript/mathjax/MathJax.js  debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python3-$(PYBUILD_NAME)/html/_static
+
+override_dh_python3:
+	dh_python3
+	find . -name python3.7 -type d | xargs rm -rf

=== debian/tests/control ===
Tests: python3
Depends: python3-lmfit, python3-all, python3-tk, python3-nose, python3-matplotlib, python3-pandas, python3-scipy

## lmfit-py 0.9.14

=== debian/changelog ===
lmfit-py (0.9.14-1ubuntu1) focal; urgency=medium

  * Build against only the current python3, as lmfit-py 0.9.14 fails tests
    against python3.8.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 29 Oct 2019 12:39:54 -0700

lmfit-py (0.9.14-1) unstable; urgency=medium

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 0.9.14
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP.
  * Use debhelper-compat instead of debian/compat.
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs.
  * Added the salsa-ci.yml file.
  * d/control: Added python3-ipython to Build-Depends.
  * unactivated the doc build until jupyter_sphinx is available.
  * replace nose -> pytest
  * install doc via d/rules
  * Remove Python2 module (Closes: #936960)
  * switched to compat level 12
  * Bumped Standards-Version to 4.4.1 (nothing to do)

  [ Andreas Tille ]
  * New upstream version 0.9.11+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 20 Oct 2019 16:43:41 +0200

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,19 @@
 Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python3-sphinx,
-               python3-all,
-               python3-nose,
+               python3,
                python3-asteval,
+               python3-ipython <!nodoc>,
                python3-numpy,
                python3-pandas,
+               python3-pytest <!nocheck>,
                python3-scipy,
                python3-setuptools,
+               python3-sphinx <!nodoc>,
                python3-uncertainties (>= 3.0.2.github~)
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/science-team/lmfit-py
 Vcs-Git: https://salsa.debian.org/science-team/lmfit-py.git
 Homepage: http://lmfit.github.io/lmfit-py/
@@ -23,9 +24,7 @@
 Package: python3-lmfit
 Architecture: all
 Section: python
-Depends: python3-scipy,
-         ${misc:Depends},
-         ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}
 Suggests: python-lmfit-doc
 Description: Least-Squares Minimization with Constraints (Python 3)
  The lmfit Python package provides a simple, flexible interface to
@@ -80,9 +79,7 @@
 Package: python-lmfit-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends},
-         ${sphinxdoc:Depends},
-         libjs-mathjax
+Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Least-Squares Minimization with Constraints (Documentation)
  The lmfit Python package provides a simple, flexible interface to
  non-linear optimization or curve fitting problems. The package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

## Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=lmfit

# copy the tests to the build dir to be able to pass nose
export PYBUILD_BEFORE_TEST=cp -r NIST_STRD {build_dir}
export PYBUILD_AFTER_TEST=rm -fr {build_dir}/NIST_STRD

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	rm -rf doc/_static/conf_interval2.png
	rm -rf doc/_static/conf_interval.png
	dh_clean

override_dh_auto_build:
	dh_auto_build
	# unactivated, waiting for jupyter_sphinx
	# PYTHONPATH=. http_proxy='localhost' python3 -m sphinx -N -bhtml doc/ build/html  # HTML generator

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	find .pybuild -name build -type d -exec ln -s $(CURDIR)/examples \{\} \;
	dh_auto_test
	find . -name "*.sav" -delete
endif

overwrite_dh_auto_install:
	dh_auto_install
	dh_numpy3

override_dh_installdocs-indep:
	dh_installdocs -i
	# unactivated, waiting for jupyter_sphinx
	# dh_installdocs build/html -p python-lmfit-doc --doc-main-package=python3-lmfit
	# find debian/python-$(PYBUILD_NAME)-doc/usr/share/doc -name "*.html" -type f | xargs sed -i 's;https://cdn[js]*\..*/MathJax.js;_static/MathJax.js;g'
	# ln -s /usr/share/javascript/mathjax/MathJax.js  debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)/html/_static

override_dh_python3:
	dh_python3
	find . -name python3.7 -type d | xargs rm -rf

=== debian/tests/control ===
Tests: python3
Depends: python3,
         python3-lmfit,
         python3-matplotlib,
         python3-nose,
         python3-pandas,
         python3-scipy,
         python3-tk

## lmfit-py 1.0.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXBUILD   = sphinx-build
SPHINX_OPTS = -W
SPHINX_DEBUGOPTS = --keep-going -n
BUILDDIR      = _build

# Internal variables.
PAPER         =
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
SPHINX_OUTPUT   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER))
ALLSPHINXOPTS   = $(SPHINX_OUTPUT) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest latexpdf htmlzip
.PHONY: all pdf gallery debug

html:  gallery
	cp sphinx/ext_mathjax.py extensions.py
	$(SPHINXBUILD) -b html $(SPHINX_OUTPUT) $(SPHINX_OPTS) . $(BUILDDIR)/html
	@echo
	@echo "html build finished: $(BUILDDIR)/html."

debug:  gallery
	cp sphinx/ext_mathjax.py extensions.py
	$(SPHINXBUILD) -b html $(SPHINX_OUTPUT) $(SPHINX_DEBUGOPTS) . $(BUILDDIR)/html
	@echo
	@echo "html build finished: $(BUILDDIR)/html."

gallery: examples/index.rst

examples/index.rst:
	./doc_examples_to_gallery.py

htmlzip: html
	cp sphinx/ext_mathjax.py extensions.py
	$(SPHINXBUILD) -b html $(SPHINX_OUTPUT) $(SPHINX_OPTS) . $(BUILDDIR)/lmfit_doc
	cd $(BUILDDIR) && zip -pur html/lmfit_doc.zip lmfit_doc

epub: html
	cp sphinx/ext_mathjax.py extensions.py
	$(SPHINXBUILD) -b epub  $(SPHINX_OUTPUT) $(SPHINX_OPTS) . $(BUILDDIR)/epub
	cp -pr $(BUILDDIR)/epub/*.epub $(BUILDDIR)/html/.

pdf: latex
	cp sphinx/ext_imgmath.py extensions.py
	cd $(BUILDDIR)/latex && make all-pdf
	cp -pr $(BUILDDIR)/latex/lmfit.pdf $(BUILDDIR)/html/.

all: html htmlzip epub pdf

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*
	-rm -f extensions.py
	-rm -f *.dat *.sav *.csv
	-rm -rf examples/*
	-rm -rf ../examples/documentation

dirhtml:  gallery
	$(SPHINXBUILD) -b dirhtml $(SPHINX_OUTPUT) $(SPHINX_OPTS) . $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:  gallery
	$(SPHINXBUILD) -b pickle $(SPHINX_OUTPUT) $(SPHINX_OPTS) . $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:  gallery
	$(SPHINXBUILD) -b json $(SPHINX_OUTPUT) $(SPHINX_OPTS) . $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:  gallery
	$(SPHINXBUILD) -b htmlhelp $(SPHINX_OUTPUT) $(SPHINX_OPTS) . $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

latex: gallery
	cp sphinx/ext_imgmath.py extensions.py
	$(SPHINXBUILD) -b latex $(SPHINX_OUTPUT) $(SPHINX_OPTS) . _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

latexpdf:
	cp sphinx/ext_imgmath.py extensions.py
	$(SPHINXBUILD) -b latex $(SPHINX_OUTPUT) $(SPHINX_OPTS) . _build/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C _build/latex all-pdf
	@echo "pdflatex finished; the PDF files are in _build/latex."

changes:
	$(SPHINXBUILD) -b changes $(SPHINX_OUTPUT) $(SPHINX_OPTS) . $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(SPHINX_OUTPUT) $(SPHINX_OPTS) . $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(SPHINX_OUTPUT) $(SPHINX_OPTS) . $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
lmfit-py (1.0.0-1) unstable; urgency=medium

  [ Alexandre Marie ]
  * Fixed compatibility with python3.8 (Closes: #943786)
  * Forced asteval version to >=0.9.16

  [ Picca Frédéric-Emmanuel ]
  * added jupyter-sphinx as Build-Depends
  * Forgotten with the previous upload (Closes: #934871, #922111)
  * Do not build the documentation for now.

  [ Andreas Tille ]
  * Use secure URI in Homepage field.
  * Fix day-of-week for changelog entry 0.8.3+dfsg.1-1~exp1.
  * Build-Depends: python3-sphinx-gallery
  TODO:
    Exception occurred:
      File "/usr/lib/python3/dist-packages/sphinx_gallery/gen_gallery.py", line 313, in sumarize_failing_examples
        "\n" + "-" * 79)
    ValueError: Here is a summary of the problems encountered when running the examples

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 23 Dec 2019 13:52:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: lmfit-py
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python3,
-               python3-asteval,
+               python3-all,
+               python3-asteval(>=0.9.16),
                python3-ipython <!nodoc>,
+               python3-jupyter-sphinx <!nodoc>,
                python3-numpy,
                python3-pandas,
                python3-pytest <!nocheck>,
                python3-scipy,
                python3-setuptools,
                python3-sphinx <!nodoc>,
+               python3-sphinx-gallery <!nodoc>,
                python3-uncertainties (>= 3.0.2.github~)
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/science-team/lmfit-py
 Vcs-Git: https://salsa.debian.org/science-team/lmfit-py.git
-Homepage: http://lmfit.github.io/lmfit-py/
+Homepage: https://lmfit.github.io/lmfit-py/
 
 Package: python3-lmfit
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

## Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=lmfit

# copy the tests to the build dir to be able to pass nose
export PYBUILD_BEFORE_TEST=cp -r NIST_STRD {build_dir}
export PYBUILD_AFTER_TEST=rm -fr {build_dir}/NIST_STRD

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	rm -rf doc/_static/conf_interval2.png
	rm -rf doc/_static/conf_interval.png
	dh_clean

# override_dh_auto_build:
# 	dh_auto_build
# 	PYTHONPATH=. http_proxy='localhost' python3 -m sphinx -N -bhtml doc/ build/html  # HTML generator

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	find .pybuild -name build -type d -exec ln -s $(CURDIR)/examples \{\} \;
	dh_auto_test
	find . -name "*.sav" -delete
endif

overwrite_dh_auto_install:
	dh_auto_install
	dh_numpy3

# override_dh_installdocs-indep:
# 	dh_installdocs -i
# 	dh_installdocs build/html -p python-lmfit-doc --doc-main-package=python3-lmfit
# 	find debian/python-$(PYBUILD_NAME)-doc/usr/share/doc -name "*.html" -type f | xargs sed -i 's;https://cdn[js]*\..*/MathJax.js;_static/MathJax.js;g'
# 	ln -s /usr/share/javascript/mathjax/MathJax.js  debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)/html/_static

override_dh_python3:
	dh_python3
	find . -name python3.7 -type d | xargs rm -rf

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Tests: python3
-Depends: python3,
+Depends: python3-all,
          python3-lmfit,
          python3-matplotlib,
          python3-nose,
